# Getting other stablecoins

You can use IDRX to get other stablecoins, such as USDT and USDC. IDRX partners with third-party providers to enable the acquisition of other stablecoins using Indonesian Rupiah. The process involves minting IDRX and swapping it into the desired token on-chain through the partner’s API. Below is the list of supported tokens and partner APIs for each network:

<table><thead><tr><th>Network<select><option value="J8lvkEn668oH" label="Polygon" color="blue"></option><option value="Zr58hT1IBOVl" label="Base" color="blue"></option><option value="2qbzDFuItSCn" label="World Chain" color="blue"></option><option value="W3QsfpIQQOyA" label="BNB Chain" color="blue"></option><option value="oLcgBxho9Go7" label="Lisk" color="blue"></option><option value="4HEvZY8q2rlH" label="Kaia" color="blue"></option></select></th><th>Token<select><option value="IpwKnC4yWI1q" label="USDT" color="blue"></option><option value="BJxUFSNMABw1" label="USDC" color="blue"></option><option value="4AMkv4KaOS2p" label="WLD" color="blue"></option><option value="UPAmJxQVqJFe" label="USDT0" color="blue"></option></select></th><th>Partner API</th></tr></thead><tbody><tr><td><span data-option="J8lvkEn668oH">Polygon</span></td><td><span data-option="IpwKnC4yWI1q">USDT</span></td><td><a href="https://0x.org/">0x</a></td></tr><tr><td><span data-option="W3QsfpIQQOyA">BNB Chain</span></td><td><span data-option="IpwKnC4yWI1q">USDT</span></td><td><a href="https://0x.org/">0x</a></td></tr><tr><td><span data-option="4HEvZY8q2rlH">Kaia</span></td><td><span data-option="IpwKnC4yWI1q">USDT</span></td><td><a href="http://li.fi/">Li.fi</a></td></tr><tr><td><span data-option="oLcgBxho9Go7">Lisk</span></td><td><span data-option="UPAmJxQVqJFe">USDT0</span></td><td><a href="http://li.fi/">Li.fi</a></td></tr><tr><td><span data-option="Zr58hT1IBOVl">Base</span></td><td><span data-option="BJxUFSNMABw1">USDC</span></td><td><a href="http://li.fi/">Li.fi</a></td></tr></tbody></table>

Before doing this, you might want to check the current rate. You can use [this api](/api/transaction-api/get-api-transaction-rates.md) to get the current rates. Here's an example code to get current rates.

{% hint style="info" %}

* The balance will be processed and credited to \`**`` destinationWalletAddress` ``** max 24 hours after your request is submitted.
* Minimum transaction for other stablecoins are $2 USD
* Maximum transaction for other stablecoins are 5,555 USD
* For transactions more than the maximum limit, please send your request to <support@idrx.co> to be processed.
* The transaction will be automatically canceled if you have not made a payment within 24 hours.
* IDRX is not responsible for deposit errors from incorrect Virtual Account numbers. Refunds for payments made to Virtual Account numbers under a different name will be processed within 14 business days.
  {% endhint %}

```typescript
import { createSignature } from "./createSignature";
const axios = require('axios');

const apiKey = "{YOUR API KEY}";
const secret = "{YOUR SECRET}";

async function getRates() {
  const path = "https://idrx.co/api/transaction/rates?idrxAmount=15000";

  const bufferReq = Buffer.from('', 'base64').toString('utf8');
  const timestamp = Math.round((new Date()).getTime()).toString();
  const sig = createSignature('GET', path, bufferReq, timestamp, secret);

  const res = await axios.get(path, {
    headers: {
      'Content-Type': 'application/json',
      'idrx-api-key': apiKey,
      'idrx-api-sig': sig,
      'idrx-api-ts' : timestamp,
    },
  });

  console.log('res.data: ');
  console.log(JSON.stringify(res.data, null, 4));
}

getRates();
```

After a successful request, you will get a response as follows:

```typescript
{
    "statusCode": 200,
    "message": "success",
    "data": {
        "price":"0.000062",
        "buyAmount":"0.932311",
        "chainId":137
    }
}
```

## Get Other Stablecoin

You can mint IDRX and get other stablecoins such as USDT and USDC by following [this guide](/integration/processing-mint-idrx-requests.md). The only thing that you need to change is the `requestType` parameter set to `usdt`. Check [this page](https://docs.idrx.co/services/get-other-tokens) to see the list of other tokens.

To check the status of the transaction, you can use the [Transaction History API](/api/transaction-api/get-api-transaction-user-transaction-history.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.idrx.co/integration/processing-mint-idrx-requests/getting-other-stablecoins.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
